using System;
using System.Data;
using System.Data.Odbc;

namespace AdoExample
{
	/// <summary>
	/// A very basic test of a DataAdapter and a DataSet
	/// </summary>
	public class DataSetExample
	{
		private OdbcConnection con;
		private DataSet ds;
		private OdbcDataAdapter da;
		private ExampleErrorHelper eeh;
		public DataSetExample()
		{
			eeh = new ExampleErrorHelper();
		}
		public void UseDataSet()
		{
			try
			{
				Console.WriteLine("Testing DataSet");
				con = new OdbcConnection("DSN=multi1;UID=MIMER_STORE;PWD=store");
				con.InfoMessage += new OdbcInfoMessageEventHandler(eeh.HandleInfoEvents);
				string selectSql = "select category_id, category from categories";
				da = new OdbcDataAdapter(selectSql, con);
				ds = new DataSet("Categories");
				da.Fill(ds, "Categoryitem");
				Console.WriteLine(ds.GetXml());
			}
			catch(OdbcException oe)
			{
				eeh.ShowExceptions(oe);
			}
			catch(FormatException fe)
			{
				Console.WriteLine(fe.Message);
			}
		}
	}
}
