using System;
using System.Data.Odbc;

namespace AdoExample
{
	/// <summary>
	/// InserExample shows how to use insert in Ado.net. It also describes the usage of parameterized queries and prepared
	/// execution
	/// </summary>
	public class InsertExample
	{
		private ExampleErrorHelper eeh;
		public InsertExample()
		{
			eeh = new ExampleErrorHelper();
		}
		public void insertBooks()
		{
			OdbcCommand command;
			OdbcConnection con;
			string sql ="insert into categories(category_id, category) values(?,?) ";
			try
			{
				Console.WriteLine("Insert a new Category, prepared");
				Console.Write("Category id: ");
				int id = Convert.ToInt32(Console.ReadLine());
				Console.Write("Category: " );
				string cat = Console.ReadLine();
				Console.WriteLine();
				con = new OdbcConnection("DRIVER=Mimer;UID=MIMER_STORE;PWD=store;DATABASE=multi1"); 
				con.InfoMessage += new OdbcInfoMessageEventHandler(eeh.HandleInfoEvents);
				con.Open();
				command = new OdbcCommand(sql, con);
				OdbcParameter idParam = new OdbcParameter("id", OdbcType.Int);
				idParam.Value = id;
				command.Parameters.Add(idParam);
				command.Parameters.Add("id", cat);
				command.Prepare();
				command.ExecuteNonQuery();
				con.Close();
			}
			catch(OdbcException oe)
			{
				foreach(OdbcError oErr in oe.Errors)
				{
					Console.WriteLine("Message: " + oErr.Message);
					Console.WriteLine("Native error: " + oErr.NativeError);
					Console.WriteLine("SQLState: " + oErr.SQLState);
					Console.WriteLine("Source: " + oErr.Source);
				}
			}
			catch(FormatException fe)
			{
				Console.WriteLine(fe.Message);
			}
		}
	}
}
